Bug 230563 - devel/liteide: Update to 34.1
Summary: devel/liteide: Update to 34.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL: https://github.com/visualfc/liteide/r...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-12 15:29 UTC by Dmitri Goutnik
Modified: 2018-08-17 13:29 UTC (History)
0 users

See Also:


Attachments
patch file (3.50 KB, patch)
2018-08-12 15:29 UTC, Dmitri Goutnik
dmgk: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2018-08-12 15:29:37 UTC
Created attachment 196127 [details]
patch file

* Update to 34.1
* Add runtime dependency on devel/go-gocode and install LiteIDE gotools helper [1] so users get working code formatting and autocomplete w/o additional post-installation steps; remove pkg-message
* Address danfe@ feedback on flavors.

Changelog: https://github.com/visualfc/liteide/releases/tag/x34.1

QA:
  poudriere testport: OK (112a, 104i)

[1] https://github.com/visualfc/gotools
Comment 1 commit-hook freebsd_committer 2018-08-16 16:08:55 UTC
A commit references this bug:

Author: swills
Date: Thu Aug 16 16:08:01 UTC 2018
New revision: 477358
URL: https://svnweb.freebsd.org/changeset/ports/477358

Log:
  devel/liteide: Update to 34.1

  PR:		230563
  Submitted by:	Dmitri Goutnik <dg@syrec.org> (maintainer)

Changes:
  head/devel/liteide/Makefile
  head/devel/liteide/distinfo
  head/devel/liteide/pkg-message
  head/devel/liteide/pkg-plist
Comment 2 Steve Wills freebsd_committer 2018-08-16 16:09:05 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2018-08-17 13:29:57 UTC
A commit references this bug:

Author: swills
Date: Fri Aug 17 13:29:26 UTC 2018
New revision: 477425
URL: https://svnweb.freebsd.org/changeset/ports/477425

Log:
  devel/liteide: Some corrections to the previous commit

  PR:		230563
  Reported by:	mat

Changes:
  head/devel/liteide/Makefile